Package org.apache.catalina.valves

# Class AbstractAccessLogValve.RequestAttributeElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.RequestAttributeElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected static class AbstractAccessLogValve.RequestAttributeElement extends Object implements AbstractAccessLogValve.AccessLogElement
write an attribute in the ServletRequest - %{xxx}r

## Constructor Summary

Constructors
Constructor
Description
`RequestAttributeElement(String attribute)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestAttributeElement

public RequestAttributeElement(String attribute)

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`